function U = Strang_Klein_Gordon(u0,ut0,tau,xi,N)                           %Strang splitting for Klein-Gordon

%Components of Klein-Gordon matrix exponential-----------------------------
Tt11 = cos(tau*sqrt(1+4*(pi^2)*xi.^2));
Tt12 =1./(sqrt(1+4*(pi^2)*xi.^2)).*sin(tau*sqrt(1+4*(pi^2)*xi.^2));
Tt21 =-(sqrt(1+4*(pi^2)*xi.^2)).*sin(tau*sqrt(1+4*(pi^2)*xi.^2));
Tt22 =cos(tau*sqrt(1+4*(pi^2)*xi.^2));


u = u0;
ut = ut0;
uhelper = u0;
U = [];

%Start time evolution------------------------------------------------------
for n = 1:N                                   
ut = ut - 0.5*tau*abs(u).^2.*u;                                            %Half nonlinear step

uhelper = ifft(Tt11.*fft(u)+Tt12.*fft(ut));                                %Full linear step
ut = ifft(Tt21.*fft(u)+Tt22.*fft(ut));
u = uhelper;

ut = ut - 0.5*tau*abs(u).^2.*u;                                            %Half nonlinear step

U = [U u];                                                                 %Store solution in big Matrix
end